Node-odm-1 seems to be offline. Any suggestions?

I have found some other posts about this, but no answers.
None that help my scenario…

A lot of errors like this:
webapp | WARNING Session data corrupted
webapp | WARNING Not Found: /api/projects/2/tasks/462b5591-459f-40af-859b-00915c1f5472/
webapp | WARNING Not Found: /api/projects/2/tasks/9319d49b-3b23-4189-871d-5e1e1a665c9e/assets/entwine_pointcloud/ept.json

1 Like

Welcome!

Sorry for the trouble.

Can you please provide a bit more context about your installation method, Operating System version, WebODM version, etc?

Apologies, all my equipment is shut down and packed up.
It was installed on a Windows 10 Home system.
Docker Tool Box
Stable versions of the rest, installed last night.
The Lightning option is throwing errors also :frowning:
I am flying tomorrow, but will return with all details. :pray:

Thank you for your attention.

DockerToolbox-18.09.3
Git-2.34.1-64-bit
python-3.10.1-amd64
WebODM 1.9.11

2 Likes

Thank you for your attention.

Windows 10 Home on an AMD 64 bit laptop with 8 GB RAM.
I followed the instructions on the documentation page.

DockerToolbox-18.09.3
Git-2.34.1-64-bit
python-3.10.1-amd64
WebODM 1.9.11

Errors from Lightning node, using “Brighton” test files:
[INFO] Fast orthophoto is turned on, automatically setting --skip-3dmodel
[INFO] Initializing ODM - Mon Dec 20 10:10:20 2021
[INFO] ==============
[INFO] auto_boundary: True
[INFO] boundary: {}
[INFO] build_overviews: False
[INFO] camera_lens: auto
[INFO] cameras: {}
[INFO] cog: True
[INFO] copy_to: None
[INFO] crop: 3
[INFO] debug: False
[INFO] dem_decimation: 1
[INFO] dem_euclidean_map: False
[INFO] dem_gapfill_steps: 3
[INFO] dem_resolution: 2.0
[INFO] depthmap_resolution: 640
[INFO] dsm: False
[INFO] dtm: False
[INFO] end_with: odm_postprocess
[INFO] fast_orthophoto: True
[INFO] feature_quality: high
[INFO] feature_type: sift
[INFO] force_gps: False
[INFO] gcp: None
[INFO] geo: None
[INFO] gps_accuracy: 10
[INFO] ignore_gsd: False
[INFO] matcher_distance: 0
[INFO] matcher_neighbors: 8
[INFO] matcher_type: flann
[INFO] max_concurrency: 64
[INFO] merge: all
[INFO] mesh_octree_depth: 11
[INFO] mesh_size: 200000
[INFO] min_num_features: 8000
[INFO] name: 58fa07d5-73f0-4313-9a75-69561b8b44e7
[INFO] optimize_disk_space: True
[INFO] orthophoto_compression: DEFLATE
[INFO] orthophoto_cutline: False
[INFO] orthophoto_kmz: False
[INFO] orthophoto_no_tiled: False
[INFO] orthophoto_png: False
[INFO] orthophoto_resolution: 2.0
[INFO] pc_classify: False
[INFO] pc_csv: False
[INFO] pc_ept: True
[INFO] pc_filter: 2.5
[INFO] pc_geometric: False
[INFO] pc_las: False
[INFO] pc_quality: medium
[INFO] pc_rectify: False
[INFO] pc_sample: 0.01
[INFO] pc_tile: False
[INFO] primary_band: auto
[INFO] project_path: /var/www/data
[INFO] radiometric_calibration: none
[INFO] rerun: None
[INFO] rerun_all: False
[INFO] rerun_from: None
[INFO] resize_to: 2048
[INFO] skip_3dmodel: True
[INFO] skip_band_alignment: False
[INFO] skip_report: False
[INFO] sm_cluster: None
[INFO] smrf_scalar: 1.25
[INFO] smrf_slope: 0.15
[INFO] smrf_threshold: 0.5
[INFO] smrf_window: 18.0
[INFO] split: 999999
[INFO] split_image_groups: None
[INFO] split_overlap: 150
[INFO] texturing_data_term: gmi
[INFO] texturing_keep_unseen_faces: False
[INFO] texturing_outlier_removal_type: gauss_clamping
[INFO] texturing_skip_global_seam_leveling: False
[INFO] texturing_skip_local_seam_leveling: False
[INFO] texturing_tone_mapping: none
[INFO] tiles: False
[INFO] time: False
[INFO] use_3dmesh: False
[INFO] use_exif: False
[INFO] use_fixed_camera_params: False
[INFO] use_hybrid_bundle_adjustment: False
[INFO] verbose: False
[INFO] ==============
[INFO] Running dataset stage
[INFO] Loading dataset from: /var/www/data/58fa07d5-73f0-4313-9a75-69561b8b44e7/images
[INFO] Loading 19 images
[WARNING] Cannot read /var/www/data/58fa07d5-73f0-4313-9a75-69561b8b44e7/images/DJI_0027.JPG with PIL, fallback to cv2: cannot identify image file ‘/var/www/data/58fa07d5-73f0-4313-9a75-69561b8b44e7/images/DJI_0027.JPG’
Traceback (most recent call last):
File “/code/opendm/get_image_size.py”, line 13, in get_image_size
with Image.open(file_path) as img:
File “/usr/local/lib/python3.9/dist-packages/PIL/Image.py”, line 2943, in open
raise UnidentifiedImageError(
PIL.UnidentifiedImageError: cannot identify image file ‘/var/www/data/58fa07d5-73f0-4313-9a75-69561b8b44e7/images/DJI_0027.JPG’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/code/run.py”, line 53, in
retcode = app.execute()
File “/code/stages/odm_app.py”, line 130, in execute
raise e
File “/code/stages/odm_app.py”, line 94, in execute
self.first_stage.run()
File “/code/opendm/types.py”, line 327, in run
self.process(self.args, outputs)
File “/code/stages/dataset.py”, line 112, in process
p = types.ODM_Photo(f)
File “/code/opendm/photo.py”, line 92, in init
self.parse_exif_values(path_file)
File “/code/opendm/photo.py”, line 274, in parse_exif_values
self.width, self.height = get_image_size.get_image_size(_path_file)
File “/code/opendm/get_image_size.py”, line 19, in get_image_size
width = img.shape[1]
AttributeError: ‘NoneType’ object has no attribute ‘shape’

1 Like

This is sticking out to me. It looks like this image is corrupt possibly. Can you drop that image from your data and then re-process?

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.